<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW Advanced JS #4 - Fetch Data</title>

    <link rel="stylesheet" href="dist/css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW Advanced JS #4 - Fetch Data</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span>Обьясните своими словами, что такое AJAX и чем он полезен при разработке на Javascript.</p>
            <div class="answer-wrapper">
                <p class="answer">
                    Я уже соскучился по тем временам, когда верстка картинок происходила на белом фоне в виде таблицы, а ссылки были синими...
                    Быть может в моду вернется постоянная перезагрузка от каждого действия и редиректы на отдельные страницы после заполнения форм.
                    ... эх, combats.ru с авторизацией на get-запросах и перезагрузка страницы после каждого хода...
                    А ведь были времена, когда разработка была легче и без всяких там асинхронных запросов!
                </p>
            </div>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача 1:</span>Получить список фильмов серии Звездные войны, и вывести на экран список персонажей для каждого из них.

            </p>
            <ul class="reqular">
              <li>
                Отправить AJAX запрос по адресу https://ajax.test-danit.com/api/swapi/films и получить список всех фильмов серии Звездные войны
              </li>
              <li>
                Для каждого фильма получить с сервера список персонажей, которые были показаны в данном фильме. Список персонажей можно получить из свойства characters.
              </li>
              <li>
                Как только с сервера будет получена информация о фильмах, сразу же вывести список всех фильмов на экран. Необходимо указать номер эпизода, название фильма, а также короткое содержание (поля episode_id, title и opening_crawl).
              </li>
              <li>
                Как только с сервера будет получена информация о персонажах какого-либо фильма, вывести эту информацию на экран под названием фильма.
              </li>
            </ul> 
            <ul class="additional">
              <li>
                Пока загружаются персонажи фильма, прокручивать под именем фильма анимацию загрузки. Анимацию можно использовать любую. Желательно найти вариант на чистом CSS без использования JavaScript.
              </li>
            </ul>

            <pre class="result">
                <div id="root"></div>
            </pre>
            
        </div>
    </div>
    <!-- <div class="preloader">
      <div class="preloader__inner">
        <p class="preloader__top">Star</p>
        <p class="preloader__bottom">Wars</p>
      </div>
    </div> -->

    <script src="dist/js/script.js"></script>
   
</body>
</html>